AppController_getAccountProof
GET/api/v1/account-proof
AppController_getAccountProof
Request
Query Parameters
account_id stringrequired
Account ID
node_url string
Node URL from which to obtain the proof. Chosen by the indexer if not specified.
Responses
- 200
- application/json
- Schema
- Example (from schema)
Schema
nodeUrl stringrequired
proof
object
required
block
object
required
height numberrequired
vbRadixHash stringrequired
tokenRadixHash stringrequired
storageHash stringrequired
appHash stringrequired
account
object
required
virtualBlockchainId stringrequired
serializedState stringrequired
radixProof string[]required
{
"nodeUrl": "string",
"proof": {
"block": {
"height": 0,
"vbRadixHash": "string",
"tokenRadixHash": "string",
"storageHash": "string",
"appHash": "string"
},
"account": {
"virtualBlockchainId": "string",
"serializedState": "string",
"radixProof": [
"string"
]
}
}
}
Loading...